function y=quatpass(u);

% EN ENTREE UNIQUEMENT LE QUATERNION A 4 COMPOSANTES

% Application par prcaution de la normalisation du quaternion

quater=u/norm(u);  % quaternion norm

% Rcupration du quaternion norm
% q quaternion en base inertielle

q0=quater(1);q1=quater(2);q2=quater(3);q3=quater(4);

% Calcul de la matrice orthogonale de passage de la base inertielle
%  la base satellite

y(1,1)=2*(q0^2+q1^2)-1;
y(2,2)=2*(q0^2+q2^2)-1;
y(3,3)=2*(q0^2+q3^2)-1;

y(1,2)=2*(q1*q2-q0*q3);
y(1,3)=2*(q1*q3+q0*q2);
y(2,1)=2*(q1*q2+q0*q3);

y(2,3)=2*(q3*q2-q0*q1);
y(3,1)=2*(q1*q3-q0*q2);
y(3,2)=2*(q0*q1+q2*q3);


end