function y=quatpass(u);

% Application par prcaution de la normalisation du quaternion

u=u(4:7)/norm(u(4:7));

% Rcupration du quaternion norm

q0=u(1);q1=u(2);q2=u(3);q3=u(4); % q quaternion en base inertielle

% Calcul de la matrice orthogonale de passage de la base inertielle
%  la base satellite

y(1,1)=2*(q0^2+q1^2)-1;
y(2,2)=2*(q0^2+q2^2)-1;
y(3,3)=2*(q0^2+q3^2)-1;

y(1,2)=2*(q1*q2-q0*q3);
y(1,3)=2*(q1*q3+q0*q2);
y(2,1)=2*(q1*q2+q0*q3);

y(2,3)=2*(q3*q2-q0*q1);
y(3,1)=2*(q1*q3-q0*q2);
y(3,2)=2*(q0*q1+q2*q3);


end